#include "prolog.h"
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include "servdef.h"
#include "rpctypes.h"

void postSystemInit(void);
void preSystemInit(void);

int main(int argc, char *argv[])
{
  int cc;
  switch (argc)                           /* initial debug level */
  {           /* on UNIX or DOS stations: set debug = 1 (2,or 3) */
    case 2:              /* will dynamically set the debug level */
      NGdebug = atoi(argv[1]);
      break;
    default:
      NGdebug = 0;                              /* default level */
  }
  printf("Server running (debug level %d)\n",NGdebug);

  /* init RPC server: */
  /* call any non-default resource initialization before SystemInit(): */
  preSystemInit();

  if ((cc=SystemInit(TRUE)) != 0) { printf("init error: %s\n",erlst[cc]); exit(1); }

  /* call FEC specific initialization: */
  postSystemInit();

  for(;;)
  {
    SystemCycle(TRUE);
  }
  return 0;
}
